Subject: Re: bug#56247: inflate fails to reject invalid distance

From: Paul Eggert <[email-masked]>
Date: Mon, 27 Jun 2022 14:10:11 -0500

On 6/26/22 22:21, Young Mo Kang wrote:
> I believe GNU gzip also needs to reject this file, since the file is not a valid deflate format.

gzip is compatible with pigz here. It's not clear to me that gzip should 
be pedantic and reject input that does not strictly conform to RFC 1952.

I'll cc this to Mark Adler in hopes that he has an opinion. Mark, if I 
understand things correctly, the complaint is that the attached 
"compressed" file does not conform to RFC 1952, but gzip and pigz do not 
complain about it. You can see the original gzip bug report here:

https://bugs.gnu.org/56247